@import url('https://fonts.googleapis.com/css2?family=Bungee+Spice&family=Faster+One&family=Rye&display=swap');
/*
********** Buscando por internet he encontrado otro efecto divertido neón **********
*/
@keyframes flicker{
    0%, 18%, 22%, 25%, 53%, 57%, 100% {
        text-shadow:
      0 0 4px #fff,
      0 0 11px #fff,
      0 0 19px #fff,
      0 0 40px #0fa,
      0 0 80px #0fa,
      0 0 90px #0fa,
      0 0 100px #0fa,
      0 0 150px #0fa;
  
  }
  
  20%, 24%, 55% {        
      text-shadow: none;
  }    
}
    

/*
********************* ESTILS GENERALS *************
*/
*{
    margin: 0px;
    padding: 0px;
}
h1{
    font-size:30px;
    font-family: 'Rye', cursive;
}
h2 {
    margin-bottom: 1rem;
    animation: flicker 1.5s infinite alternate;
    color: #fff;
}

/*
************************* LOGO *********************
*/

.logo {
    background-image: url(SRC/log1.jpg);
    background-size: contain;
    
    width: 100%;
    text-align: center;
}
.logo img {
    width: 150px;
    height: 150px;
}

/*
********************* MENÚ NAVEGACIÓN *************
*/

nav {
    display: inline-block;
	width: 100%;
	text-align: center;
	position: sticky;
    top: 0;
    z-index: 100;
    background-color: rgb(0, 0, 0);
    border-bottom-style: outset;
    border-color: red;
}
nav ul {
    list-style-type: none;
    text-align: center;
}
nav li {
    display: inline-block;
    margin-right: 15px;
}
nav a {
    font-size: small;
    display: block;
    font-family: 'Bungee Spice', cursive;
    padding: 14px 16px;
    text-decoration: none;
    transition: all 0.5s ease;
} 
nav a:hover {
    background-color: wheat;
}
nav li.desplegable {
    display: inline-block;
}
nav .desplegable-contenido {
    display: none;
    position: absolute;
    background-color: rgba(17, 17, 17, 0.959);
    min-width: 120px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}
nav .desplegable-contenido a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}
nav .desplegable:hover .desplegable-contenido {
    display: block;
}

/*
********************** CONTACTO *********************
*/

body{
    
   background-color: rgb(173, 173, 173);
  
}
section{
    background: #181818;
    color: #fff;
    font-family: 'Quicksand', sans-serif;
    width: clamp(900px,70%,80%);
    margin-left: auto;
    margin-right: auto;
    padding: 1.5em;
    margin-top: 5rem;
}
ul {
    list-style: none;
    padding: 0;
}

.logoo {
    text-align: center;
    font-size: 3em;
}

.logoo span {
    color: #a90eb7;
}

.contenedor {
    box-shadow: 0 0 20px 0 rgba(255, 255, 255, .3);
    display: grid;
    grid-template-columns: 2fr 1fr;
}
.contenedor > * {
    padding: 1em;
}

.contacto {
    background: #222222;
}

.contacto form {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.contacto form label {
    display: block;
}

.contacto form p {
    margin: 0;
    padding: 1em;
}

.contacto form .block {
    grid-column: 1 / 3;
}

.contacto button, input, textarea {
    width: 100%;
    border: none;
    background: none;
    color: rgb(224, 224, 224);
    border-bottom: 1px solid #d63031;
}

.contacto button {
    background-image: -webkit-linear-gradient(top, #ff4545, #be9032);
    text-transform: uppercase;
    padding: 1em;
    cursor: pointer;
    outline: none;
    border-radius: 15px;
    box-shadow: 0 5px #999;
}

.contacto button:hover,button:focus {
    background-image: -webkit-linear-gradient(top, #be9032, #ff4545);
    color: #fff;
}
.contacto button:active{
    background-image: -webkit-linear-gradient(top, #be9032, #ff4545);
    box-shadow: 0 2px #666;
    transform: translateY(4px);
}

/*
********************** CONTACTO INFO *********************
*/ 

.contact-info {
    background: #000;
}

.contact-info h4, ul,p {
    text-align: center;
    margin: 0 0 1rem 0;
    text-align: left;
}

/*
********************** FOOTER ************************
*/

footer {
    background-color: #666;
    text-align: center;
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    justify-content: space-around;
    border-top: solid #665f53;
    margin-top: 37px;
}
footer .footer-logos-rs{
    float: left;
	width: 25px;
	height: 25px;
	margin:4px;
	vertical-align: top;
    margin-top: 8px;
}
footer .copy{
    float: right;
    margin-top: 10px;
}
footer address{
    margin-top: 5px;
}

    
